# Namespace: Typedefs

## Typedefs

### Type Definitions

#### Typedefs.GameGlobalState object

  One game global state

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `gameState` | GameStateEnum | Current status of the game
  `allHeroes` | Array.<HeroCard> | Array containing all heroes
  `deckMode` | DeckMode | Deck mode of the game
  `advRules` | Array.<AdvRule> | Array describing the active advandced rules, if any
  `waitingFor/blue` | boolean | If true, we are waiting for blue to play
  `waitingFor/red` | boolean | If true, we are waiting for red to play
  `currentPlayer` | Color | 'both' | Who is current player, can be 'both'
  `battleTiles/left/ofBlue` | Array.<BattleTile> | Battle tiles on left side of blue player
  `battleTiles/center/ofBlue` | Array.<BattleTile> | Battle tiles on center of blue player
  `battleTiles/right/ofBlue` | Array.<BattleTile> | Battle tiles on right side of blue player
  `totalFood` | number | Total food available for players to take
  `` | string | All heroes in JSON format (read from a JSON file)

#### Typedefs.GameStateEnum "0_INIT" | "1_SELECT_DRAFT" | "1_SELECT_FACTION" | "1_SELECT_TOURNAMENT" | "2_CHANGE_UP_TO_3_CARDS"

  Values for Game state.